#
# spec file for package python3-pbr-doc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-pbr-doc
Version:        1.8.0
Release:        2.1
Summary:        Documentation for python3-pbr
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://pypi.python.org/pypi/pbr
Source:         http://pypi.python.org/packages/source/p/pbr/pbr-%{version}.tar.gz
Source1:        python3-pbr-rpmlintrc
BuildRequires:  fdupes
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# Documentation requirements:
BuildRequires:  python3-Sphinx >= 1.1.2
BuildArch:      noarch

%description
PBR is a library to automatically do a bunch of standard
things you want in your setup.py without you having to repeat
them every time. It will set versions, process requirements
files and generate AUTHORS and ChangeLog file all from git
information.

%prep
%setup -q -n pbr-%{version}
# Get rid of ugly build-time deps that require network:
sed -i "s/, 'sphinx\.ext\.intersphinx'//" doc/source/conf.py

%build
python3 setup.py build_sphinx

%install
mkdir -p %{buildroot}%{_docdir}/python3-pbr
cp -r doc/build/html %{buildroot}%{_docdir}/python3-pbr

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_docdir}/python3-pbr/

%changelog
* Sat Sep 19 2015 arun@gmx.de
- specfile:
  * removed patch (fixed upstream):
    0001-Remove-sphinx_config.init_values-manual-call.patch
- update to version 1.8.0:
  * Strip comments present in setup.cfg
  * Protect WSGI application with a critical section
- changes from version 1.7.0:
  * Have pbr egg_info.writer check PBR is enabled
- changes from version 1.6.0:
  * Strip comments in requirements files
  * Support Sphinx >=1.3 new protoype and warnings
* Sat Aug 15 2015 arun@gmx.de
- update to version 1.5.0:
  * Handle git being entirely absent
  * We require the use of setuptools
* Sat Aug  8 2015 arun@gmx.de
- update to version 1.4.0:
  * Fix docs for environment markers in extras
  * Export ChangeLog and AUTHORS in install
  * Updated from global requirements
  * Show how long the git querying takes
  * Add wsgi_scripts support to PBR
  * Updated from global requirements
* Tue Jul 28 2015 toddrme2178@gmail.com
- Split documentation into separate package to avoid dependency
  loop
